[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] xen: work with xen 4.0.1 headers



On 11/01/2010 05:45 PM, Jim Fehlig wrote:
> Eric Blake wrote:
>> * src/xen/xen_driver.h (includes): Include main xen headers
>> here...
>> * src/xen/xs_internal.c (includes): ...rather than in just one of
>> the sub-drivers.
>> ---
>>
>> +++ b/src/xen/xen_driver.h
>> @@ -29,6 +29,8 @@
>>  #  include <winsock2.h>
>>  # endif
>>
>> +# include <xen/xen.h>
>> +
>>  /* xen-unstable changeset 19788 removed MAX_VIRT_CPUS from public
>>   * headers.  Its semantic was retained with XEN_LEGACY_MAX_VCPUS.
>>   * Ensure MAX_VIRT_CPUS is defined accordingly.
> 
> ACK.
> 
> libvirt 0.8.5 + this patch + commit dc27e089 + commit b164db62 =
> successful builds against xen 3.3.1, 3.4.1, and 4.0.1.  I did notice
> commit e8066d53 broke the build on older openSUSE containing polkit0. 

Thanks; pushed.

-- 
Eric Blake   eblake redhat com    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]